Name:           python3-tlv8
Version:        0.10.0
Release:        %autorelease
Summary:        Python module to handle type-length-value (TLV) encoded data

License:        Apache-2.0
URL:            https://github.com/jlusiardi/tlv8_python
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist wheel}

%description 
Python module to handle type-length-value (TLV) encoded data 8-bit type, 8-bit length, and N-byte value as described within the Apple HomeKit Accessory Protocol Specification Non-Commercial Version Release R2.

%prep
%autosetup -n tlv8_python-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files tlv8

%check

%files -f %{pyproject_files}
%license LICENSE
%doc CHANGES.md
%doc README.md

%changelog
* Mon Oct 21 2024 Markus Merklinger <markus@nitrokey.com> - 0.10.0-1
- Initial package.

